Project

General

Profile

Bug #53350

Use fstab defaults when mounting iocage storage

Added by Bug Clerk almost 2 years ago. Updated almost 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Seen in:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

Hi guys

Moved over to 11.2-RC1 today and decided to rebuild my Plex server using the new IOCage jails instead of the old byhve system. Having issues with the PMS jail being able to mount my media storage area, when it adds it to the mounts I can see the folders for my music and movies etc, bit then i can't see anything inside them, I have 3 empty folders essentially, the confusion I have is my entire media area has 777 Permissions set recursively throughout. Then other times i try and add the mount and start the Jail I get this

Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 541, in start
    iocage.start()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1628, in start
    callback=self.callback
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in __init__
    self.__start_jail__()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 413, in __start_jail__
    silent=self.silent)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 81, in logit
    _callback(content, exception)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
    raise callback_exception(message)
RuntimeError: mount: /mnt/AlphaVolume/AlphaMedia: Operation not supported by device
jail: /sbin/mount -t None -o rw /mnt/AlphaVolume/AlphaMedia /mnt/AlphaVolume/iocage/jails/plex/root/media: failed

""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 161, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1043, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 980, in _call
    return await self._call_worker(serviceobj, name, *args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1007, in _call_worker
    job,
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 938, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 923, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: mount: /mnt/AlphaVolume/AlphaMedia: Operation not supported by device
jail: /sbin/mount -t None -o rw /mnt/AlphaVolume/AlphaMedia /mnt/AlphaVolume/iocage/jails/plex/root/media: failed

Not sure where to go from here

Reposted here as advised to by dlavigne


Related issues

Copied from FreeNAS - Bug #52206: Use fstab defaults when mounting iocage storageDone

History

#1 Updated by Bug Clerk almost 2 years ago

  • Copied from Bug #52206: Use fstab defaults when mounting iocage storage added

#2 Updated by Bug Clerk almost 2 years ago

  • Target version changed from Master - FreeNAS Nightlies to 11.2-RC2

#3 Updated by Bug Clerk almost 2 years ago

  • Status changed from Unscreened to In Progress

#4 Updated by Dru Lavigne almost 2 years ago

  • Subject changed from FreeNAS 11.2-RC1 IO-Cage Plex mount failure to Use fstab defaults when mounting iocage storage
  • Needs Doc changed from Yes to No

#5 Updated by Bug Clerk almost 2 years ago

  • Status changed from In Progress to Ready for Testing

#6 Updated by William Grzybowski almost 2 years ago

  • Status changed from Ready for Testing to Done

No easy way for QA this.

#7 Updated by Dru Lavigne almost 2 years ago

  • Needs QA changed from Yes to No
  • Needs Merging changed from Yes to No

Also available in: Atom PDF